Extend the expiry time of live browse recovery points
Extends (or sets) the expiry time for one or more live browse recovery points. Recovery points are mount sessions created for live browse / live recovery of VMs. This API extends the mount duration so the recovery point does not auto-expire.
- application/json
Request Body required
rpObjectList object[]
List of recovery point objects to extend
id int32Unique recovery point ID
searchKey stringSearch key for lookups
srcInstanceId int32Source VSA instance ID
srcBkpSetId int32Source backup set ID
srcSubclientId int32Source subclient ID
srcClientId int32Source client ID
mountHostId int32ID of the host machine where the recovery point is mounted
mountHostName stringName of the mount host
bkpJobId int64Backup job ID that created the snapshot
rpJobId int64Recovery point job ID (mount job)
appData stringApplication-specific data (JSON or XML string)
srcPath stringSource path of the recovery point data
mountPath stringPath where the recovery point is mounted
phase stringPossible values: [
PREMOUNT,MOUNT,POSTMOUNT,BROWSEREADY,DELETING,ERROR]Current phase of the recovery point lifecycle
bkpType int32Possible values: [
1,2,3]Backup type: 1=SNAP, 2=VSA, 3=BLOCKLEVEL
recoveryTime int32Point-in-time to recover to (Unix timestamp)
expireTime int32When this recovery point expires (Unix timestamp). Set this to extend.
appType int32Application type ID
userName stringUser who created the recovery point
createTime int32When the recovery point was created (Unix timestamp)
- 200
- 500
OK — recovery points extended successfully
- application/json
- Schema
- Example (from schema)
Schema
response object
errorMessage stringerrorCode int32
{
"response": {
"errorMessage": "string",
"errorCode": 0
}
}
Internal Server Error (check response.errorCode and response.errorMessage)
- application/json
- Schema
- Example (from schema)
Schema
response object
errorMessage stringerrorCode int32
{
"response": {
"errorMessage": "string",
"errorCode": 0
}
}